# $Revision: 1.42 $, $Date: 2010/04/22 11:23:00 $
%define	_hordeapp mimp
#
%include	/usr/lib/rpm/macros.php
Summary:	MIMP - a stripped down version of IMP for use on mobile phones/PDAs
Summary(pl.UTF-8):	MIMP - uproszczona wersja IMP-a do używania na telefonach przenośnych i PDA
Name:		horde-%{_hordeapp}
Version:	1.1.3
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/mimp/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	65fad2a42431304fac260889ba71e13d
Source1:	%{_hordeapp}.conf
URL:		http://www.horde.org/mimp/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.2
Requires:	horde-imp >= 4.2
Requires:	webapps
Obsoletes:	mimp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)' 'pear(Text/Flowed.php)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
MIMP is a project to create a version of IMP suitable for mobile
devices such as WAP phones or PDAs. Basic functionality is now all
implemented, including mailbox viewing and paging, viewing messages,
deleting, replying, forwarding, and composing new messages.

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with MIMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
MIMP to projekt mający na celu stworzenie wersji IMP-a odpowiedniej
dla urządzeń przenośnych, takich jak telefony WAP czy PDA. Podstawowa
funkcjonalność jest teraz zaimplementowana w całości, włącznie z
oglądaniem skrzynek pocztowych i stronicowaniem, oglądaniem
wiadomości, usuwaniem, odpowiadaniem, przekazywaniem i tworzeniem
nowych wiadomości.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
Genral Public License. Więcej informacji (włącznie z pomocą dla
MIMP-a) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 0.1-0.20051116.0.3, %{_hordeapp}
for i in conf.php filter.txt header.txt menu.php mime_drivers.php motd.php prefs.php servers.php trailer.txt; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-mimp.spec,v $
Revision 1.42  2010/04/22 11:23:00  baggins
- 1.1.3

Revision 1.41  2008/10/11 00:03:29  baggins
- rel 2
- sanitized R/S

Revision 1.40  2008/10/10 17:35:59  qboosh
- no macro in Obsoletes

Revision 1.39  2008/10/10 16:51:28  baggins
- rel 1
- R horde-imp
- removed obsolete path patch

Revision 1.38  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.37  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.36  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.35  2008/10/09 21:52:14  baggins
- up to 1.1.1
- removed unreadable tangle of macros and ugly hacks

Revision 1.34  2008-01-09 17:28:27  qboosh
- fixed encoding broken by paszczus; pl cosmetic

Revision 1.33  2008-01-09 17:05:08  paszczus
- updated to 1.1-rc1

Revision 1.32  2007-10-01 06:40:48  glen
- 1.0.2

Revision 1.31  2007/08/01 11:58:22  paszczus
- removed bogus chars

Revision 1.30  2007/08/01 11:41:13  paszczus
- rel 3

Revision 1.29  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.27  2006/10/01 17:12:06  glen
- rel 2

Revision 1.26  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.25  2006/06/08 18:33:32  paszczus
- updated to FINAL 1.0

Revision 1.24  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.23  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.22  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.21  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.20  2006/01/23 22:15:19  paszczus
- updated to 1.0-beta
- adaptarized

Revision 1.19  2006/01/08 22:54:11  glen
- updated to 2006-01-08

Revision 1.18  2006/01/08 20:28:27  glen
- use %service in triggers
- trigger also on old package name

Revision 1.17  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.16  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.15  2005/11/30 21:21:19  glen
- unify

Revision 1.14  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.13  2005/11/30 12:48:29  glen
- use webapps framework

Revision 1.12  2005/11/16 14:06:49  glen
- avoid packaging test.php

Revision 1.11  2005/11/16 14:03:55  glen
- 2005-11-16 snap
- unified apache virtual requires

Revision 1.10  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.9  2005/09/17 15:21:50  glen
- unify

Revision 1.8  2005/09/17 11:22:03  glen
- use %{_hordeapp} macro

Revision 1.7  2005/09/04 10:21:11  glen
- 2005-09-03 snap

Revision 1.6  2005/07/20 21:48:15  glen
- use apache config triggers

Revision 1.5  2005/07/20 21:46:20  glen
- 2005-07-20 snap

Revision 1.4  2005/05/10 19:42:31  qboosh
- pl

Revision 1.3  2005/05/09 18:05:41  glen
- version 0 as no version information available

Revision 1.2  2005/05/09 17:32:21  glen
- prefs.php fix

Revision 1.1  2005/05/09 17:13:14  glen
- added
